summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xt/t0610-reftable-basics.sh2
-rwxr-xr-xt/t9700/test.pl2
2 files changed, 2 insertions, 2 deletions
diff --git a/t/t0610-reftable-basics.sh b/t/t0610-reftable-basics.sh
index 6575528f21..e19e036898 100755
--- a/t/t0610-reftable-basics.sh
+++ b/t/t0610-reftable-basics.sh
@@ -207,7 +207,7 @@ test_expect_success 'ref transaction: corrupted tables cause failure' '
test_commit file1 &&
for f in .git/reftable/*.ref
do
- : >"$f" || return 1
+ test-tool truncate "$f" 0 || return 1
done &&
test_must_fail git update-ref refs/heads/main HEAD
)
diff --git a/t/t9700/test.pl b/t/t9700/test.pl
index 570b0c5680..f83e6169e2 100755
--- a/t/t9700/test.pl
+++ b/t/t9700/test.pl
@@ -118,7 +118,7 @@ unlink $tmpfile;
# paths
my $abs_git_dir = $abs_repo_dir . "/.git";
-if ($^O eq 'msys' or $^O eq 'cygwin') {
+if ($^O eq 'msys') {
$abs_git_dir = `cygpath -am "$abs_repo_dir/.git"`;
$abs_git_dir =~ s/\r?\n?$//;
}